package dev.shadowsoffire.apotheosis.ench.asm;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import dev.shadowsoffire.apotheosis.Apotheosis;
import dev.shadowsoffire.apotheosis.ench.EnchModule;
import net.minecraft.util.Mth;
import net.minecraft.world.entity.projectile.FishingHook;
import net.minecraft.world.item.enchantment.Enchantment;

public class EnchHooks {
  public static int getMaxLevel(Enchantment ench) {
    if (!Apotheosis.enableEnch)
      return ench.m_6586_(); 
    return EnchModule.getEnchInfo(ench).getMaxLevel();
  }
  
  public static int getMaxLootLevel(Enchantment ench) {
    if (!Apotheosis.enableEnch)
      return ench.m_6586_(); 
    return EnchModule.getEnchInfo(ench).getMaxLootLevel();
  }
  
  public static boolean isTreasureOnly(Enchantment ench) {
    if (!Apotheosis.enableEnch)
      return ench.m_6591_(); 
    return EnchModule.getEnchInfo(ench).isTreasure();
  }
  
  public static boolean isDiscoverable(Enchantment ench) {
    if (!Apotheosis.enableEnch)
      return ench.m_6592_(); 
    return EnchModule.getEnchInfo(ench).isDiscoverable();
  }
  
  public static boolean isLootable(Enchantment ench) {
    if (!Apotheosis.enableEnch)
      return ench.m_6592_(); 
    return EnchModule.getEnchInfo(ench).isLootable();
  }
  
  public static boolean isTradeable(Enchantment ench) {
    if (!Apotheosis.enableEnch)
      return ench.m_6594_(); 
    return EnchModule.getEnchInfo(ench).isTradeable();
  }
  
  public static int getTicksCaughtDelay(FishingHook bobber) {
    int lowBound = Math.max(1, 100 - bobber.f_37097_ * 10);
    int highBound = Math.max(lowBound, 600 - bobber.f_37097_ * 60);
    return Mth.m_216271_(bobber.f_19796_, lowBound, highBound);
  }
}
